/*
 *  1541fs.h - 1541 emulation in host file system
 *
 *  Frodo (C) 1996 Christian Bauer
 */

#ifndef _1541FS_H
#define _1541FS_H

#include <stdio.h>
#include "Types.h"
#include "IEC.h"


class FSDrive : public Drive {
public:
	FSDrive(IEC *iec, char *path);
	virtual ~FSDrive();
	virtual UBYTE Open(int channel, char *filename);
	virtual UBYTE Close(int channel);
	virtual UBYTE Read(int channel, UBYTE *byte);
	virtual UBYTE Write(int channel, UBYTE byte, CBOOL eoi);

private:
	UBYTE open_file(int channel, char *filename);
	UBYTE open_directory(int channel, char *filename);
	void convert_filename(char *srcname, char *destname, int *filemode, int *filetype, CBOOL *wildflag);
	void find_first_file(char *name);
	void close_all_channels(void);
	void execute_command(char *command);
	char conv_from_64(char c);
	char conv_to_64(char c);

	char dir_path[256];		// Path to directory
	char dir_title[16];		// Directory title
	FILE *file[16];			// File pointers for each of the 16 channels

	char cmd_buffer[44];	// Buffer for incoming command strings
	int cmd_len;			// Length of received command

	UBYTE read_char;		// Buffer for one-byte read-ahead
};

#endif
