/*
 *  1541job.h - Emulation of 1541 job loop
 *
 *  Frodo (C) 1996 Christian Bauer
 */

#ifndef _1541JOB_H
#define _1541JOB_H

#include <stdio.h>
#include "Types.h"


class MOS6502_1541;
class Prefs;

class Job1541 {
public:
	Job1541(MOS6502_1541 *cpu);
	~Job1541();

	void NewPrefs(Prefs *prefs);
	void JobLoop(void);

private:
	void open_d64_file(char *filepath);
	void close_d64_file(void);
	UBYTE execute_job(UBYTE *buffer, int jobcode, int track, int sector);
	CBOOL read_sector(int track, int sector, UBYTE *buffer);
	CBOOL write_sector(int track, int sector, UBYTE *buffer);
	int offset_from_ts(int track, int sector);

	MOS6502_1541 *the_cpu;	// Pointer to 6502
	UBYTE *ram;				// Pointer to 1541 RAM
	FILE *the_file;			// File pointer for .d64 file
	int image_header;		// Length of .d64 file header

	UBYTE id1, id2;			// ID of disk
};

#endif
