/*
 *  Display.c - C64 graphics display, emulator window handling
 *
 *  Frodo (C) 1996 Christian Bauer
 */

#include <stdio.h>

#include "Display.h"
#include "main.h"
#include "Prefs.h"


// LED states
enum {
	LED_OFF,		// LED off
	LED_ON,			// LED on (green)
	LED_ERROR_ON,	// LED blinking (red), currently on
	LED_ERROR_OFF	// LED blinking, currently off
};


// C64 color palette
const UBYTE palette_red[16] = {
	0x00, 0xff, 0xcc, 0x00, 0xff, 0x00, 0x00, 0xff, 0xff, 0x88, 0xff, 0x44, 0x88, 0x88, 0x88, 0xcc
};

const UBYTE palette_green[16] = {
	0x00, 0xff, 0x00, 0xff, 0x00, 0xcc, 0x00, 0xff, 0x88, 0x44, 0x88, 0x44, 0x88, 0xff, 0x88, 0xcc
};

const UBYTE palette_blue[16] = {
	0x00, 0xff, 0x00, 0xcc, 0xff, 0x00, 0xcc, 0x00, 0x00, 0x00, 0x88, 0x44, 0x88, 0x88, 0xff, 0xcc
};


#ifdef __BEOS__
#include "Display_Be.i"
#endif

#ifdef AMIGA
#include "Display_Amiga.i"
#endif

#ifdef __unix
#ifdef __svgalib__
#include "Display_svga.i"
#else
#include "Display_x.i"
#endif
#endif
