/*
 *  Display.h - C64 graphics display, emulator window handling
 *
 *  Frodo (C) 1996 Christian Bauer
 */

#ifndef _DISPLAY_H
#define _DISPLAY_H

#include "Types.h"

#ifdef __BEOS__
#include <InterfaceKit.h>
#endif


// Display dimensions
const int DISPLAY_X = 0x180;
const int DISPLAY_Y = 0x110;


class C64Window;
class C64;

// Class for C64 graphics display
class C64Display {
public:
	C64Display();

	void Update(void);
	void UpdateLEDs(int led0, int led1, int led2, int led3);
	void Speedometer(double speed);
	UBYTE *BitmapBase(void);
	int BitmapXMod(void);
	void PollKeyboard(UBYTE *key_matrix, UBYTE *rev_matrix, UBYTE *joystick);
	CBOOL NumLock(void);
	void InitColors(UBYTE *colors);

#ifdef __BEOS__
	C64Window *TheWindow;
#endif

#ifdef __unix
	C64 *TheC64;
#endif

private:
#ifdef __BEOS__
	key_info old_key_info;
	int draw_bitmap;		// Number of bitmap for the VIC to draw into
#endif
};


// Exported functions
extern long ShowRequester(char *str, char *button1, char *button2 = NULL);


#endif
