# Makefile for Frodo
# Copyright (C) 1995-1996 Christian Bauer <bauec002@goofy.zdv.uni-mainz.de>

## System specific configuration
CXX            = gcc
CFLAGS         = -g -I./ -O3  -Wall -W -Wno-format -fomit-frame-pointer
LDFLAGS        = -L /usr/X11R6/lib -lX11 -g -pg

## Files
APP            = Frodo
OBJS           = main.o Display.o Prefs.o SAM.o C64.o CPU.o VIC.o SID.o CIA.o IEC.o 1541fs.o 1541d64.o 1541job.o

## Rules
.SUFFIXES: .o .cpp .h

$(APP): $(OBJS)
	$(CXX) -o $(APP) $(OBJS) $(LDFLAGS) $(LIBS)

clean:
	@-rm -f $(OBJS)
	@-rm -f $(APP)

.cpp.o:
	$(CC) $(INCLUDES) $(CFLAGS) -o $@ -c $*.cpp

## Dependencies
main.o: main.cpp main.h main_x.i Types.h C64.h Display.h Prefs.h SAM.h Version.h
main.h: Types.h C64.h
C64.o: C64.cpp C64.h C64_x.i CPU.h VIC.h SID.h CIA.h IEC.h 1541job.h Display.h Prefs.h
C64.h: Types.h
Display.o: Display.cpp Display.h Display_x.i main.h Prefs.h
Display.h: Types.h
Prefs.o: Prefs.cpp Prefs.h Prefs_x.i Display.h main.h
Prefs.h: Types.h
CPU.o: CPU.cpp CPU.h C64.h VIC.h SID.h CIA.h IEC.h Display.h Version.h
CPU.h: Types.h
VIC.o: VIC.cpp VIC.h C64.h CPU.h Display.h Prefs.h
VIC.h: Types.h
SID.o: SID.cpp SID.h
SID.h: Types.h
CIA.o: CIA.cpp CIA.h CPU.h VIC.h Prefs.h
CIA.h: Types.h
IEC.o: IEC.cpp IEC.h 1541fs.h 1541d64.h Prefs.h Display.h
IEC.h: Types.h Prefs.h
1541fs.o: 1541fs.cpp 1541fs.h IEC.h main.h Prefs.h
1541fs.h: Types.h IEC.h
1541d64.o: 1541d64.cpp 1541d64.h IEC.h
1541d64.h: Types.h IEC.h
1541job.o: 1541job.cpp 1541job.h CPU.h Prefs.h
1541job.h: Types.h
SAM.o: SAM.cpp SAM.h Types.h C64.h CPU.h VIC.h SID.h CIA.h
SAM.h:
