/*
 *  main.cpp - Main program
 *
 *  Frodo (C) 1996 Christian Bauer
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include "main.h"
#include "C64.h"
#include "Display.h"
#include "Prefs.h"
#include "SAM.h"
#include "Version.h"


// Global variables
char AppDirPath[256];	// Path of application directory


/*
 *  Load C64 ROM files
 */

CBOOL Frodo::load_rom_files(void)
{
	FILE *file;

	// Load Basic ROM
	if (file = fopen("Basic ROM", "rb")) {
		if (fread(TheC64->Basic, 1, 0x2000, file) != 0x2000) {
			ShowRequester("Can't read 'Basic ROM'.", "Quit");
			return FALSE;
		}
		fclose(file);
	} else {
		ShowRequester("Can't find 'Basic ROM'.", "Quit");
		return FALSE;
	}

	// Load Kernal ROM
	if (file = fopen("Kernal ROM", "rb")) {
		if (fread(TheC64->Kernal, 1, 0x2000, file) != 0x2000) {
			ShowRequester("Can't read 'Kernal ROM'.", "Quit");
			return FALSE;
		}
		fclose(file);
	} else {
		ShowRequester("Can't find 'Kernal ROM'.", "Quit");
		return FALSE;
	}

	// Load Char ROM
	if (file = fopen("Char ROM", "rb")) {
		if (fread(TheC64->Char, 1, 0x1000, file) != 0x1000) {
			ShowRequester("Can't read 'Char ROM'.", "Quit");
			return FALSE;
		}
		fclose(file);
	} else {
		ShowRequester("Can't find 'Char ROM'.", "Quit");
		return FALSE;
	}

	// Load 1541 ROM
	if (file = fopen("1541 ROM", "rb")) {
		if (fread(TheC64->ROM1541, 1, 0x4000, file) != 0x4000) {
			ShowRequester("Can't read '1541 ROM'.", "Quit");
			return FALSE;
		}
		fclose(file);
	} else {
		ShowRequester("Can't find '1541 ROM'.", "Quit");
		return FALSE;
	}

	return TRUE;
}


#ifdef __BEOS__
#include "main_Be.i"
#endif

#ifdef AMIGA
#include "main_Amiga.i"
#endif

#ifdef __unix
#include "main_x.i"
#endif
