/*
 *  main_x.i - Main program, X specific stuff
 *
 *  Frodo (C) 1996 Christian Bauer
 */

extern int init_graphics(void);


/*
 *  Create application object and start it
 */

int main(int argc, char **argv)
{      
	printf("Frodo V%d.%d by Christian Bauer\n", FRODO_VERSION, FRODO_REVISION);
	if (!init_graphics())
		return 0;
           
	fflush(stdout);
	Frodo *the_app;
#if 0
	srand(system_time());
#endif
	the_app = new Frodo();
	the_app->Run();
	delete the_app;

	return 0;
}

Frodo::Frodo()
{
	TheC64 = NULL;
}

void Frodo::Run(void)
{
	char *home;
	char file[256];
       
	home = getenv("HOME");
	if (home != NULL && strlen(home) < 240)
	{
		strncpy(file, home, 200);
		strcat(file, "/");
	}
	strcat(file,".frodorc");
       
	ThePrefs.Load(file);
	TheC64 = new C64;
       
	if (load_rom_files()) {
		TheC64->Run();
	}
	delete TheC64;
}
